# 能力验证问题总结

## 关于B域接口调用的时延问题的我的一些小建议

1. B域的各个接口时延本来就不一致，时延的瓶颈在能开平台而非咱们自己的接口程序，当然接口程序这边有什么手段降低时延的话都会用上。

2. 伟宁发的统计表中将B域接口的时延进行了家和统计，在我的理解里，只要不是业务需要必须先后顺序调用的，比如要查黑名单需要先查三户拿到身份证号，不都应该并行调用吗，不应该加和吧。

3. 关于整合B域，整合成为一个接口的问题，我觉得是很必要的，但是也需要综合考虑一下。现在我看到的一个很严重的问题其实和第一点相同，就是能开各个接口调用的时延差别很大，如果整合在一起，那么总体时延就是时延最长的那个业务，这个如果能接收才能考虑整合。另外整合的方案可能需要伟宁那边来出。

20220723

## 查询用户产品信息

查询1000个号码，结果全都为空

怀疑能力有问题

## 已订购产品查询

仅支持查询归属为河北省用户，漫游用户无法查询

包含套餐名/基础服务等信息，可以涵盖VOLTE服务和SA服务，字段较多

返回时延基本在500ms以内

## 查询用户套餐值

可以支持查全国用户

返回值仅包含套餐的Id和费用

另外，发现有些费用和套餐说明（通过套餐id与已订购产品查询得到的套餐名对应）有差异

大部分情况仅包含当前套餐，少量情况会有下月套餐，应该是能反应用户改套餐的一个情况

时延基本在300ms内，比已订购产品查询稍快，内容仅包含主套餐的id

有需要的话要不要去找找套餐的表----

## 用户中心_5G用户查询

查询很快，大部分在100ms内，最慢300ms多一点。

仅包含5GSA信息，可用于判断用户是否有SA服务，支持查询全国用户

现在还不明确非UDM用户与UDM用户之间有什么区别，后面找人问问。

## 用户信用度查询

支持全国查询，不知道为什么部分用户返回 `调用微服务服务返回异常`

## 用户资料三户返回

查询较慢，部分超过2秒

查外省的会失败，失败消息还不太一样

userState 在1000次里查到916个结果遇到了33个非0值

B 高额半停机
5 欠费停机
N 申请停，欠费双停
4 局方停机
l 小L 局方半停
A 欠费半停机
