package com.nokia.domainb.capability;

import cn.chinaunicom.open.common.Const;
import cn.chinaunicom.open.nlgxptconnection.COMPConnection;
import cn.chinaunicom.open.nlgxptconnection.COMPConnectionContext;
import cn.chinaunicom.open.nlgxptconnection.impl.COMPJsonConnection;

import java.util.HashMap;
import java.util.Map;

/*
 * 局方停机原因查询接口
 * json_chinaUnicom_microservice_trades_qrydowntimereason
 */
public class QryDownTimeReason extends AbstractQuery {
    private static final String url = "http://10.245.34.209:8000/api/chinaUnicom/microservice/trades/qrydowntimereason/v1";
    private static final String urlTest = "http://10.124.150.230:8000/api/chinaUnicom/microservice/trades/qrydowntimereason/v1";

    public COMPConnectionContext query(String phoneNumber, String provinceCode, boolean test) {
        String realAppSecret = test ? appSecretTest : appSecret;
        String realUrl = test ? urlTest : url;
        COMPConnection compConnection = new COMPJsonConnection(appId, realAppSecret);

        // REQ
        Map<String, Object> req = new HashMap<>();
        Map<String, Object> qrydowntimereasonReq = new HashMap<>();
        req.put("QRYDOWNTIMEREASON_REQ", qrydowntimereasonReq);
        Map<String, Object> reqMap = new HashMap<>();
        qrydowntimereasonReq.put("REQ", reqMap);
        reqMap.put("SERIAL_NUMBER", phoneNumber);
        reqMap.put("PROVINCE_CODE", provinceCode);
        return compConnection.excute(Const.HttpMethodType.POST, realUrl, req, false);
    }
}
