package com.nokia.domainb.capability;

import cn.chinaunicom.open.common.Const;
import cn.chinaunicom.open.nlgxptconnection.COMPConnection;
import cn.chinaunicom.open.nlgxptconnection.COMPConnectionContext;
import cn.chinaunicom.open.nlgxptconnection.impl.COMPJsonConnection;

import java.util.HashMap;
import java.util.Map;

/**
 * 用户限速封顶信息查询
 * json_microservice_credits_userspeedlimitquery
 */
public class UserSpeedLimitQuery extends AbstractQuery {

    // 测试环境url
    // private static final String url = "http://10.124.150.230:8000/api/microservice/credits/userspeedlimitquery/v1";
    // 生产环境url
    private static final String url = "http://10.245.34.209:8000/api/microservice/credits/userspeedlimitquery/v1";

    public COMPConnectionContext queryWithSdk(String phoneNumber, String provinceId) {
        Map<String, Object> map = new HashMap<>();
        Map<String, String> map2 = new HashMap<>();
        map2.put("SERIAL_NUMBER", phoneNumber);
        map2.put("PROVINCE_ID", provinceId);
        map2.put("NET_TYPE_CODE", "50");
        map.put("USER_SPEED_LIMITQUERY_REQ", map2);
        COMPConnection compConnection = new COMPJsonConnection(appId, appSecret);
        return compConnection.excute(Const.HttpMethodType.POST, url, map, false);
    }
}
